Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Interface Campaign

All Superinterfaces
  CampaignInfo, Cloneable, Comparable, ScenarioContainer, Serializable

    public interface Campaign

extends CampaignInfo, ScenarioContainer

The runtime definition of a campaign.

Field Summary
`static short` | `AND` Boolean AND logic.
`static short` | `OR` Boolean OR logic.

Method Summary
`short` | `getGoalLogic()` Tell if all goals need to be met, or just one.
`List` | `getGoals()` Get the list of goals.
`long` | `getLastModified()` Get the time this campaign was last modified.
`List` | `getLinkedScenarioIds()` Get the list of ids of the linked scenarios.
`boolean` | `isActive()` Determine if this campaign is currently active, based upon all campaign information.

Methods inherited from interface com.bea.campaign.CampaignInfo
`clone, getActiveFlag, getDescription, getGoalDescription, getName, getSponsor, getStartDate, getStopDate, getUniqueId, getValueProposition, isShutdown`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface com.bea.campaign.ScenarioContainer
`getContainerType, getName, getUniqueId`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### AND

    static final short AND

  Boolean AND logic.

  See Also
    Constants Summary

### OR

    static final short OR

  Boolean OR logic.

  See Also
    Constants Summary

Method Detail

### getLastModified

    long getLastModified()

  Get the time this campaign was last modified.

### isActive

    boolean isActive()

  Determine if this campaign is currently active, based upon all campaign information.

  Specified by:
    `isActive` in interface `ScenarioContainer`

### getGoals

    List getGoals()

  Get the list of goals.

### getGoalLogic

    short getGoalLogic()

  Tell if all goals need to be met, or just one.

  Returns
    AND or OR.

### getLinkedScenarioIds

    List getLinkedScenarioIds()

  Get the list of ids of the linked scenarios.

  Returns
    a list of String scenario ids.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.